{% extends 'Layout/Layout.twig' %}
{% block content %}
    <form action="/admin/classes/create" method="post">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <div class="input-group input-group-merge">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-folder"></i></span>
                        </div>
                        <input class="form-control"
                               placeholder="{{ lang.getTranslation("title")|capitalize }}"
                               type="text" name="title"
                               required>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <div class="input-group input-group-merge">
                        <textarea id="content"
                                  type="text" name="content"></textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <select class="form-control role" data-toggle="select" name="classes_cat">
                        <option>Select Categories</option>
                        {% for cat in categories %}
                            <option value="{{ cat.getId }}">{{ cat.getName }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <input type="submit" class="btn btn-success"
                           value="{{ lang.getTranslation(["create", "classes"])|capitalize }}">
                </div>
            </div>
        </div>
    </form>
{% endblock %}
{% block script %}
    <script src="{{ assets }}/vendor/ckeditor/build/ckeditor.js"></script>
    <script>ClassicEditor
            .create(document.querySelector('#content'), {

                toolbar: {
                    items: [
                        'heading',
                        '|',
                        'fontColor',
                        'fontSize',
                        'fontFamily',
                        'bold',
                        'italic',
                        'link',
                        'bulletedList',
                        'numberedList',
                        '|',
                        'indent',
                        'outdent',
                        '|',
                        'imageUpload',
                        'blockQuote',
                        'insertTable',
                        'codeBlock',
                        'code',
                        'mediaEmbed',
                        'undo',
                        'redo'
                    ]
                },
                language: 'fr',
                image: {
                    toolbar: [
                        'imageTextAlternative',
                        'imageStyle:full',
                        'imageStyle:side'
                    ]
                },
                table: {
                    contentToolbar: [
                        'tableColumn',
                        'tableRow',
                        'mergeTableCells'
                    ]
                },
                licenseKey: '',

            })
            .then(editor => {
                window.editor = editor;


            })
            .catch(error => {
                console.error('Oops, something went wrong!');
                console.error('Please, report the following error on https://github.com/ckeditor/ckeditor5/issues with the build id and the error stack trace:');
                console.warn('Build id: bxg5lh8sxw5g-5d12cj3am85o');
                console.error(error);
            });
    </script>
{% endblock %}